hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Raw.H5R

Synopsis

- newtype H5R_type_t = H5R_type_t Int32
- h5r_BADTYPE :: H5R_type_t
- h5r_OBJECT :: H5R_type_t
- h5r_DATASET_REGION :: H5R_type_t
- h5r_MAXTYPE :: Num a => a
- h5r_OBJ_REF_BUF_SIZE :: CSize
- newtype HObj_ref_t = HObj_ref_t Word64
- h5r_DSET_REG_REF_BUF_SIZE :: CSize
- newtype HDset_reg_ref_t = HDset_reg_ref_t ByteString
- h5r_create :: Out a -> HId_t -> CString -> H5R_type_t -> HId_t -> IO HErr_t
- p_H5Rcreate :: FunPtr (Out a -> HId_t -> CString -> H5R_type_t -> HId_t -> IO HErr_t)
- h5r_get_region :: HId_t -> H5R_type_t -> In a -> IO HId_t
- p_H5Rget_region :: FunPtr (HId_t -> H5R_type_t -> In a -> IO HId_t)
- h5r_get_obj_type2 :: HId_t -> H5R_type_t -> In a -> Out H5O_type_t -> IO HErr_t
- p_H5Rget_obj_type2 :: FunPtr (HId_t -> H5R_type_t -> In a -> Out H5O_type_t -> IO HErr_t)
- h5r_get_name :: HId_t -> H5R_type_t -> In a -> OutArray CChar -> CSize -> IO CSSize
- p_H5Rget_name :: FunPtr (HId_t -> H5R_type_t -> In a -> OutArray CChar -> CSize -> IO CSSize)
- h5r_dereference1 :: HId_t -> H5R_type_t -> In a -> IO HId_t
- h5r_dereference2 :: HId_t -> HId_t -> H5R_type_t -> In a -> IO HId_t
- p_H5Rdereference1 :: FunPtr (HId_t -> H5R_type_t -> In a -> IO HId_t)
- p_H5Rdereference2 :: FunPtr (HId_t -> HId_t -> H5R_type_t -> In a -> IO HId_t)
- h5r_dereference :: HId_t -> H5R_type_t -> In a -> IO HId_t
- h5r_get_obj_type1 :: HId_t -> H5R_type_t -> In a -> IO H5G_obj_t
- p_H5Rget_obj_type1 :: FunPtr (HId_t -> H5R_type_t -> In a -> IO H5G_obj_t)

# Documentation

newtype H5R_type_t Source #

Reference types allowed

Constructors

H5R_type_t Int32 |

#### Instances

Instances details

Storable H5R_type_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5R

Methods

sizeOf :: H5R_type_t -> Int Source #

alignment :: H5R_type_t -> Int Source #

peekElemOff :: Ptr H5R_type_t -> Int -> IO H5R_type_t Source #

pokeElemOff :: Ptr H5R_type_t -> Int -> H5R_type_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5R_type_t Source #

pokeByteOff :: Ptr b -> Int -> H5R_type_t -> IO () Source #

peek :: Ptr H5R_type_t -> IO H5R_type_t Source #

poke :: Ptr H5R_type_t -> H5R_type_t -> IO () Source #

Show H5R_type_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5R Methods showsPrec :: Int -> H5R_type_t -> ShowS Source # show :: H5R_type_t -> String Source # showList :: [H5R_type_t] -> ShowS Source #

h5r_BADTYPE :: H5R_type_t Source #

invalid Reference Type

h5r_OBJECT :: H5R_type_t Source #

Object reference

h5r_DATASET_REGION :: H5R_type_t Source #

Dataset Region Reference

h5r_MAXTYPE :: Num a => a Source #

Number of reference types

h5r_OBJ_REF_BUF_SIZE :: CSize Source #

newtype HObj_ref_t Source #

Constructors

HObj_ref_t Word64 |

#### Instances

Instances details

Storable HObj_ref_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5R

Methods

sizeOf :: HObj_ref_t -> Int Source #

alignment :: HObj_ref_t -> Int Source #

peekElemOff :: Ptr HObj_ref_t -> Int -> IO HObj_ref_t Source #

pokeElemOff :: Ptr HObj_ref_t -> Int -> HObj_ref_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HObj_ref_t Source #

pokeByteOff :: Ptr b -> Int -> HObj_ref_t -> IO () Source #

peek :: Ptr HObj_ref_t -> IO HObj_ref_t Source #

poke :: Ptr HObj_ref_t -> HObj_ref_t -> IO () Source #

Show HObj_ref_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5R Methods showsPrec :: Int -> HObj_ref_t -> ShowS Source # show :: HObj_ref_t -> String Source # showList :: [HObj_ref_t] -> ShowS Source #

h5r_DSET_REG_REF_BUF_SIZE :: CSize Source #

newtype HDset_reg_ref_t Source #

Buffer to store heap ID and index

    typedef unsigned char hdset_reg_ref_t[H5R_DSET_REG_REF_BUF_SIZE];

Constructors

HDset_reg_ref_t ByteString |

h5r_create :: Out a -> HId_t -> CString -> H5R_type_t -> HId_t -> IO HErr_t Source #

Creates a particular type of reference specified with `ref_type`, in the space pointed to by `ref`. The `loc_id` and `name` are used to locate the object pointed to and the `space_id` is used to choose the region pointed to (for Dataset Region references).

Parameters:

`ref :: `Out` a`
  Reference created
`loc_id :: `HId_t``
  Location ID used to locate object pointed to
`name :: `CString``
  Name of object at location LOC_ID of object pointed to
`ref_type :: `H5R_type_t``
  Type of reference to create
`space_id :: `HId_t``
  Dataspace ID with selection, used for Dataset Region references.

Returns non-negative on success, negative on failure.

    herr_t H5Rcreate(void *ref, hid_t loc_id, const char *name,
           H5R_type_t ref_type, hid_t space_id);

p_H5Rcreate :: FunPtr (Out a -> HId_t -> CString -> H5R_type_t -> HId_t -> IO HErr_t) Source #

h5r_get_region :: HId_t -> H5R_type_t -> In a -> IO HId_t Source #

Retrieves a dataspace with the region pointed to selected. Given a reference to some object, creates a copy of the dataset pointed to's dataspace and defines a selection in the copy which is the region pointed to.

Parameters:

`id :: `HId_t``
  Dataset reference object is in or location ID of object that the dataset is located within.
`ref_type :: `H5R_type_t``
  Type of reference to get region of
`ref :: `In` a`
  Reference to open.

Returns a valid ID on success, negative on failure.

    hid_t H5Rget_region(hid_t dataset, H5R_type_t ref_type, const void *ref);

p_H5Rget_region :: FunPtr (HId_t -> H5R_type_t -> In a -> IO HId_t) Source #

h5r_get_obj_type2 :: HId_t -> H5R_type_t -> In a -> Out H5O_type_t -> IO HErr_t Source #

Given a reference to some object, this function retrieves the type of object pointed to.

Parameters:

`id :: `HId_t``
  Dataset reference object is in or location ID of object that the dataset is located within.
`ref_type :: `H5R_type_t``
  Type of reference to query
`ref :: `In` a`
  Reference to query.
`obj_type :: `Out` `H5O_type_t``
  Type of object reference points to

Returns non-negative on success, negative on failure.

    herr_t H5Rget_obj_type2(hid_t id, H5R_type_t ref_type, const void *_ref,
        H5O_type_t *obj_type);

p_H5Rget_obj_type2 :: FunPtr (HId_t -> H5R_type_t -> In a -> Out H5O_type_t -> IO HErr_t) Source #

h5r_get_name :: HId_t -> H5R_type_t -> In a -> OutArray CChar -> CSize -> IO CSSize Source #

Given a reference to some object, determine a path to the object referenced in the file.

Note: This may not be the only path to that object.

Parameters:

`loc_id :: `HId_t``
  Dataset reference object is in or location ID of object that the dataset is located within.
`ref_type :: `H5R_type_t``
  Type of reference
`ref :: `In` a`
  Reference to query.
`name :: `Out` `CChar``
  Buffer to place name of object referenced
`size :: `CSize``
  Size of name buffer

Returns non-negative length of the path on success, Negative on failure

    ssize_t H5Rget_name(hid_t loc_id, H5R_type_t ref_type, const void *ref,
        char *name/*out*/, size_t size);

p_H5Rget_name :: FunPtr (HId_t -> H5R_type_t -> In a -> OutArray CChar -> CSize -> IO CSSize) Source #

h5r_dereference1 :: HId_t -> H5R_type_t -> In a -> IO HId_t Source #

Opens the HDF5 object referenced. Given a reference to some object, open that object and return an ID for that object.

Parameters:

`id :: `HId_t``
  Dataset reference object is in or location ID of object that the dataset is located within.
`ref_type :: `H5R_type_t``
  Type of reference to create
`ref :: `In` a`
  Reference to open.

Returns a valid ID on success, negative on failure

    hid_t H5Rdereference(hid_t dataset, H5R_type_t ref_type, const void *ref);

h5r_dereference2 :: HId_t -> HId_t -> H5R_type_t -> In a -> IO HId_t Source #

p_H5Rdereference1 :: FunPtr (HId_t -> H5R_type_t -> In a -> IO HId_t) Source #

p_H5Rdereference2 :: FunPtr (HId_t -> HId_t -> H5R_type_t -> In a -> IO HId_t) Source #

h5r_dereference :: HId_t -> H5R_type_t -> In a -> IO HId_t Source #

h5r_get_obj_type1 :: HId_t -> H5R_type_t -> In a -> IO H5G_obj_t Source #

Retrieves the type of object that an object reference points to Given a reference to some object, this function returns the type of object pointed to.

Parameters:

`id :: `HId_t``
  Dataset reference object is in or location ID of object that the dataset is located within.
`ref_type :: `H5R_type_t``
  Type of reference to query
`ref :: `In` a`
  Reference to query.

On success, returns an object type defined in Bindings.HDF5.Raw.H5G On failure, returns `h5g_UNKNOWN`

    H5G_obj_t H5Rget_obj_type1(hid_t id, H5R_type_t ref_type, const void *_ref);

p_H5Rget_obj_type1 :: FunPtr (HId_t -> H5R_type_t -> In a -> IO H5G_obj_t) Source #